0.9.9 API documenation: GLM_GTX_vector_query

| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_vector_query
Experimental extensions

Include <glm/gtx/vector_query.hpp> to use the features of this extension. More...

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areCollinear (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
| Check whether two vectors are collinears. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areOrthogonal (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
| Check whether two vectors are orthogonals. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areOrthonormal (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
| Check whether two vectors are orthonormal. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | isCompNull (vec< L, T, Q > const &v, T const &epsilon)
| Check whether a each component of a vector is null. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | isNormalized (vec< L, T, Q > const &v, T const &epsilon)
| Check whether a vector is normalized. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | isNull (vec< L, T, Q > const &v, T const &epsilon)
| Check whether a vector is null. More...

## Detailed Description

Include <glm/gtx/vector_query.hpp> to use the features of this extension.

Query informations of vector types

## Function Documentation

GLM_FUNC_DECL bool glm::areCollinear | ( | vec< L, T, Q > const & | v0,
|  | vec< L, T, Q > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are collinears.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::areOrthogonal | ( | vec< L, T, Q > const & | v0,
|  | vec< L, T, Q > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are orthogonals.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::areOrthonormal | ( | vec< L, T, Q > const & | v0,
|  | vec< L, T, Q > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are orthonormal.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL vec<L, bool, Q> glm::isCompNull | ( | vec< L, T, Q > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a each component of a vector is null.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::isNormalized | ( | vec< L, T, Q > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is normalized.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::isNull | ( | vec< L, T, Q > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is null.

See also
  GLM_GTX_vector_query extensions.